# Change Log
All notable changes to this project will be documented in this file.
This project adheres to [Semantic Versioning](http://semver.org/) and [Keep a changelog](https://github.com/olivierlacan/keep-a-changelog).

## [Unreleased](https://github.com/idealista/prometheus_mysqld_exporter_role/tree/develop)

## [3.3.0](https://github.com/idealista/prometheus_mysqld_exporter_role/tree/3.3.0)
[Full Changelog](https://github.com/idealista/prometheus_mysqld_exporter_role/compare/3.2.0...3.3.0)
### Changed
- [#29](https://github.com/idealista/prometheus_mysqld_exporter_role/issues/29) *[FEATURE] Added support for Debian 11 and removed Debian 9 support. * @aren-pulid0

## [3.2.0](https://github.com/idealista/prometheus_mysqld_exporter_role/tree/3.2.0)
[Full Changelog](https://github.com/idealista/prometheus_mysqld_exporter_role/compare/3.1.1...3.2.0)
### Added
- [#14](https://github.com/idealista/prometheus_mysqld_exporter_role/pull/14) *[FEATURE] Allow to specify MySQL host using mysqld_exporter_mysql_host and local listener using mysqld_exporter_host* @spech66

## [3.1.0](https://github.com/idealista/prometheus_mysqld_exporter_role/tree/3.1.1)
[Full Changelog](https://github.com/idealista/prometheus_mysqld_exporter_role/compare/3.1.0...3.1.1)
### Added
- [#25](https://github.com/idealista/prometheus_mysqld_exporter_role/issues/25) *[FEATURE] Role reshaping* @marcelogalmor

## [3.1.0](https://github.com/idealista/prometheus_mysqld_exporter_role/tree/3.1.0)
[Full Changelog](https://github.com/idealista/prometheus_mysqld_exporter_role/compare/3.0.0...3.1.0)
### Fixed
- *[#11](https://github.com/idealista/prometheus_mysqld_exporter_role/issues/11) Parametrize PrivateTmp in service*  @pablogcaldito


## [3.0.0](https://github.com/idealista/prometheus_mysqld_exporter_role/tree/3.0.0)
[Full Changelog](https://github.com/idealista/prometheus_mysqld_exporter_role/compare/2.0.0...3.0.0)
### Added
- *[#4](https://github.com/idealista/prometheus_mysqld_exporter_role/issues/4) Improved and upgraded tests* @frantsao
- *[#5](https://github.com/idealista/prometheus_mysqld_exporter_role/issues/5) Fixed systemd service template. Improved package installation*  @frantsao
- *Fix service systemd management and logging (changes default behaviour)* @frantsao

## [2.0.0](https://github.com/idealista/prometheus_mysqld_exporter_role/tree/2.0.0)
[Full Changelog](https://github.com/idealista/prometheus_mysqld_exporter_role/compare/1.0.0...2.0.0)
### Added
- *Updated to 0.11.0 version (BREAKING CHANGES, see [release notes](https://github.com/prometheus/mysqld_exporter/releases/tag/v0.11.0)* @frantsao
- *Minor updates for ansible >= 2.7 and molecule >= 2.20.0*
- *Removed service pid file creation*

## [1.0.0](https://github.com/idealista/prometheus_mysqld_exporter_role/tree/1.0.0)
### Added
- *First release* @dortegau
